Subject: make priorities in @position before/after consistent

Description

Generally, when we use priorities in TypoScript @position, it always means:

"the higher the priority, the more certain you are that the desired outcome
happens". F.e. if s.th. is positioned "start 10000" it means "very certain
that it is positioned at the start"; for "end 10000" conversely, it means
"very certain that it is positioned at the end". If we do not specify an
priority, that defaults to "position $somewhere in this area with low
priority", e.g. priority 0.

When sorting keys before and after each other using "before [otherkey]"
and "after [otherkey]" respectively, we express that an element should
be "somewhere before/after" an element. The higher the priority, the
more close it should be towards the element. Before this change, it

was exactly the other way around which was counterintuitive.

Associated revisions

Revision 4072c4d5 - 2013-05-25 17:41 - Sebastian Kurfuerst

[BUGFIX] make priorities in @position before/after consistent

Generally, when we use priorities in TypoScript @position, it always means:

"the higher the priority, the more certain you are that the desired outcome
happens". F.e. if s.th. is positioned "start 10000" it means "very certain
that it is positioned at the start"; for "end 10000" conversely, it means
"very certain that it is positioned at the end". If we do not specify an
priority, that defaults to "position $somewhere in this area with low
priority", e.g. priority 0.

When sorting keys before and after each other using "before [otherkey]"
and "after [otherkey]" respectively, we express that an element should
be "somewhere before/after" an element. The higher the priority, the
more close it should be towards the element. Before this change, it

was exactly the other way around which was counterintuitive.

| noticed that during the documentation writing, and adjusted the tests
and implementation accordingly.

Resolves: #48479
Change-Id: [da4a4e025901f1ca7d35ffe0dc45df31edc7ad4e
History

#1 - 2013-05-23 10:35 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20991

#2 - 2013-05-23 10:36 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#3 - 2013-05-25 17:41 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20991

#4 - 2013-05-26 18:21 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

2015-08-04

22


https://review.typo3.org/20991
https://review.typo3.org/20991

